
info = {
    'name': 'react-intl',
    'version': '1.0.0',
    'description': 'I/O module for react-intl',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ '', '', '' ],

    'configuration': [
        {
            'name': 'definitions',
            'displayName': 'Messages directory',
            'type': 'directory'
        },
    ].concat(common.configuration),

    'formats': common.formats
};

fileio = {

    importDefinition: function(filecontent)
    {
        var data = JSON.parse(filecontent);

        if (data instanceof Array)
        {
            for (i = 0; i < data.length; i++)
            {
                var fullPath = data[i].id.split(info.delimiter);
                babeledit.addDefinition(fullPath, data[i].description, data[i].defaultMessage);
            }
        }
    },


    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}



