info = {
    'name': 'vue-json',
    'version': '1.0.0',
    'description': 'Vue.js with one JSON file per language',
    'file-mode': "language-file",
    'delimiter': '.',
    'file-extensions': [ 'json' ],
    'copy-template-defaults': [ "$t('%1')" ],

    configuration: [
        common.configuration[0], // indent
        {
            'name': 'format',
            'displayName': 'Format',
            'type': 'enum',
            'default': 'namespaced-json',
            'values': {
                'plaintext-json': 'JSON with plaintext keys, flat view',
                'json': 'JSON with namespaces in keys, tree view',
                'namespaced-json': 'JSON with nested namespaces, tree view'
            }
        }
    ],
    'formats': common.formats
};


fileio = {

    //
    // Imports file contents
    //
    // filecontent: content of the file as string
    //
    importData: function(filecontent, fileformat)
    {
        common.importData(filecontent, fileformat);
    },


    //
    // prepare writing of files
    //
    prepareExport: common.prepareExport,


    //
    // save translation for current file
    //
    saveTranslation: common.saveTranslation,


    //
    // return formatted file data
    //
    getSaveFile: common.getSaveFile

}
